detekt-api
1.21.0-RC2

# SetupContext

interface SetupContext : PropertiesAware
Content copied to clipboard

Context providing useful processing settings to initialize extensions.

## Functions

register
Link copied to clipboard
abstract fun register (key: String , value: Any )
Content copied to clipboard

Binds a given value with given key and stores it for later use.

## Properties

config
Link copied to clipboard
abstract val config : Config
Content copied to clipboard

Configuration which is used to setup detekt.

configUris
Link copied to clipboard
abstract val configUris : Collection < URI >
Content copied to clipboard

All config locations which where used to create config.

errorChannel
Link copied to clipboard
abstract val errorChannel : Appendable
Content copied to clipboard

The channel to log all the errors.

outputChannel
Link copied to clipboard
abstract val outputChannel : Appendable
Content copied to clipboard

The channel to log all the output.

properties
Link copied to clipboard
abstract val properties : Map < String , Any ?>
Content copied to clipboard

Raw properties.